# Run tests in check section
%bcond_without check

# https://github.com/anacrolix/dms
%global goipath         github.com/anacrolix/dms
%global commit          8af4925bffb5f3d9456a00bc5c3f2dcf2b4a0f2e

%global common_description %{expand:
dms is a UPnP DLNA Digital Media Server. It runs from the terminal, and serves
content directly from the filesystem from the working directory, or the path
given. The SSDP component will broadcast and respond to requests on all
available network interfaces.

dms advertises and serves the raw files, in addition to alternate transcoded
streams when it's able, such as mpeg2 PAL-DVD and WebM for the Chromecast.
It will also provide thumbnails where possible.

dms uses ffprobe/avprobe to get media data such as bitrate and duration,
ffmpeg/avconv for video transoding, and ffmpegthumbnailer for generating
thumbnails when browsing. These commands must be in the PATH given to dms or
the features requiring them will be disabled.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        A UPnP DLNA Digital Media Server that includes basic video transcoding
# Detected licences
# - BSD 3-clause "New" or "Revised" License at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(golang.org/x/net/ipv4)
BuildRequires: golang(golang.org/x/sys/unix)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup

# We remove dependencies to "github.com/anacrolix/ffprobe"
rm -rf dlna/dms
rm -rf play
rm -rf transcode


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE


%changelog
* Tue Apr 09 15:51:05 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190409git8af4925
- First package for Fedora
